package net.woodyfolsom.cs6601.p3.dao;

import java.util.Date;
import java.util.List;

import net.woodyfolsom.cs6601.p3.domain.Headline;

public interface HeadlineDao {
	boolean assignRandomDatasets(int training/*, int test*/, int validation);
	int getCount();
	int getCount(int dataset);
	int deleteById(int id);
	int insert(Headline headline);
	int[] insertBatch(List<Headline> headlines);
	
	Headline select(int id);
	List<Headline> select(String stock, Date date);
	List<Headline> select(String stock, Date startDate, Date endDate, int dataset);
}
